> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bitski.com/llms.txt
> Use this file to discover all available pages before exploring further.

# PATCH Contract

> Update collections or contracts via the Bitski minting infrastructure.

> [!NOTE]
>
> This API requires the `apps` scope

### Path

**appId** `string` *required*

Your Bitski Application ID

**contractId** `string` *required*

Your contract ID

```bash cURL theme={null}
curl -X 'PATCH' \
  'https://api.bitski.com/v1/apps/{appId}/contracts/{contractId}' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <ACCESS_TOKEN>' \
  -d '{
  "contract": {
    "deploymentState": "DEPLOYED",
    "deploymentTransactionHash": "0x76cbbfd0fa31059647017c28a0f855b6494b995ac77e1228064ba47debf0bb34"
  }
}'
```

### Response

**contract** `Contract object` *required*

**properties**

**id** `string` *required*

**deploymentState** `string` *required*

**externalLink** `string` *required*

**address** `string` *required*

**network** `string` *required*

**name** `string`

**description** `string`

**contractType** `string`

One of `UNKNOWN`, `NON_FUNGIBLE_AUCTION`, `NON_FUNGIBLE`, `SEMI_FUNGIBLE`, `ZORA_AUCTION`

**tokenTemplates** `array`

**fee** `number`

**accessType** `string` *required*

One of `OWNED`, `WATCHED`

```json Sample Response theme={null}
{
  "contract": {
    "contractType": "SEMI_FUNGIBLE",
    "tokenTemplates": [],
    "accessType": "OWNED",
    "address": "0x8b53d6e704485ef70bd02e2a91df126935a127c9",
    "deploymentState": "DEPLOYED",
    "symbol": "BIRD",
    "description": "A collection of bird NFTs",
    "externalLink": "https://www.bitski.com/@Stapleverse",
    "fee": "25.00",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "My NFT Collection",
    "network": "mainnet"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.